Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::IntField Class Reference

Field that contains an integer value. More...

`#include <Field.h>`

Inheritance diagram for FIX::IntField:
[legend]
Collaboration diagram for FIX::IntField:
[legend]

List of all members.

## Public Member Functions

| IntField (int field, int data)
| IntField (int field)
void | setValue (int value)
int | getValue () const throw ( IncorrectDataFormat )
| Get the string representation of the Field (i.e.) 55=MSFT[SOH].
| operator const int () const

## Detailed Description

Field that contains an integer value.

Definition at line 294 of file Field.h.

## Constructor & Destructor Documentation

FIX::IntField::IntField | ( | int | field,
|  | int | data |
| ) |  |  | `[inline, explicit]`

Definition at line 297 of file Field.h.

    00298 : FieldBase( field, IntConvertor::convert( data ) ) {}

FIX::IntField::IntField | ( | int | field | ) | `[inline]`

Definition at line 299 of file Field.h.

    00300 : FieldBase( field, "" ) {}

## Member Function Documentation

int FIX::IntField::getValue | ( |  | ) | const throw ( IncorrectDataFormat )`[inline]`

Get the string representation of the Field (i.e.) 55=MSFT[SOH].

Reimplemented from FIX::FieldBase.

Definition at line 304 of file Field.h.

    00305     { try
    00306       { return IntConvertor::convert( getString() ); }
    00307       catch( FieldConvertError& )
    00308       { throw IncorrectDataFormat( getField(), getString() ); } }

FIX::IntField::operator const int | ( |  | ) | const`[inline]`

Definition at line 309 of file Field.h.

    00310     { return getValue(); }

void FIX::IntField::setValue | ( | int | value | ) | `[inline]`

Definition at line 302 of file Field.h.

    00303     { setString( IntConvertor::convert( value ) ); }

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Field.h